functional File Reference

Go to the source code of this file.

## Classes

struct | std::_Bind< _Signature >
struct | std::_Bind_result< _Result, _Signature >
class | std::_Mu< _Arg, _IsBindExp, _IsPlaceholder >
class | std::_Mu< _Arg, false, false >
class | std::_Mu< _Arg, false, true >
class | std::_Mu< _Arg, true, false >
class | std::_Mu< reference_wrapper< _Tp >, false, false >
class | std::_Not_fn< _Fn >
struct | std::_Placeholder< _Num >
struct | std::is_bind_expression< _Tp >
struct | std::is_bind_expression< _Bind< _Signature > >
struct | std::is_bind_expression< _Bind_result< _Result, _Signature > >
struct | std::is_bind_expression< const _Bind< _Signature > >
struct | std::is_bind_expression< const _Bind_result< _Result, _Signature > >
struct | std::is_bind_expression< const volatile _Bind< _Signature > >
struct | std::is_bind_expression< const volatile _Bind_result< _Result, _Signature > >
struct | std::is_bind_expression< volatile _Bind< _Signature > >
struct | std::is_bind_expression< volatile _Bind_result< _Result, _Signature > >
struct | std::is_placeholder< _Tp >
struct | std::is_placeholder< _Placeholder< _Num > >

## Namespaces

| std
| std::placeholders

## Macros

#define | _GLIBCXX_DEPR_BIND
#define | _GLIBCXX_FUNCTIONAL
#define | _GLIBCXX_NOT_FN_CALL_OP(_QUALS)

## Typedefs

template<typename _Tp , typename _Tp2 = typename decay<_Tp>::type>
using | std::__is_socketlike = __or_< is_integral< _Tp2 >, is_enum< _Tp2 > >
template<std::size_t __i, typename _Tuple >
using | std::_Safe_tuple_element_t = typename enable_if<(__i< tuple_size< _Tuple >::value), tuple_element< __i, _Tuple > >::type::type

## Functions

template<std::size_t _Ind, typename... _Tp>
auto | std::__volget (const volatile tuple< _Tp... > &__tuple) -> __tuple_element_t< _Ind, tuple< _Tp... >> const volatile &
template<std::size_t _Ind, typename... _Tp>
auto | std::__volget (volatile tuple< _Tp... > &__tuple) -> __tuple_element_t< _Ind, tuple< _Tp... >> volatile &
template<typename _Func , typename... _BoundArgs>
_Bind_helper< __is_socketlike< _Func >::value, _Func, _BoundArgs... >::type | std::bind (_Func &&__f, _BoundArgs &&... __args)
template<typename _Result , typename _Func , typename... _BoundArgs>
_Bindres_helper< _Result, _Func, _BoundArgs... >::type | std::bind (_Func &&__f, _BoundArgs &&... __args)
template<typename _Tp , typename _Class >
_Mem_fn< _Tp _Class::* > | std::mem_fn (_Tp _Class::*__pm) noexcept

## Variables

const _Placeholder< 1 > | std::placeholders::_1
const _Placeholder< 10 > | std::placeholders::_10
const _Placeholder< 11 > | std::placeholders::_11
const _Placeholder< 12 > | std::placeholders::_12
const _Placeholder< 13 > | std::placeholders::_13
const _Placeholder< 14 > | std::placeholders::_14
const _Placeholder< 15 > | std::placeholders::_15
const _Placeholder< 16 > | std::placeholders::_16
const _Placeholder< 17 > | std::placeholders::_17
const _Placeholder< 18 > | std::placeholders::_18
const _Placeholder< 19 > | std::placeholders::_19
const _Placeholder< 2 > | std::placeholders::_2
const _Placeholder< 20 > | std::placeholders::_20
const _Placeholder< 21 > | std::placeholders::_21
const _Placeholder< 22 > | std::placeholders::_22
const _Placeholder< 23 > | std::placeholders::_23
const _Placeholder< 24 > | std::placeholders::_24
const _Placeholder< 25 > | std::placeholders::_25
const _Placeholder< 26 > | std::placeholders::_26
const _Placeholder< 27 > | std::placeholders::_27
const _Placeholder< 28 > | std::placeholders::_28
const _Placeholder< 29 > | std::placeholders::_29
const _Placeholder< 3 > | std::placeholders::_3
const _Placeholder< 4 > | std::placeholders::_4
const _Placeholder< 5 > | std::placeholders::_5
const _Placeholder< 6 > | std::placeholders::_6
const _Placeholder< 7 > | std::placeholders::_7
const _Placeholder< 8 > | std::placeholders::_8
const _Placeholder< 9 > | std::placeholders::_9

## Detailed Description

This is a Standard C++ Library header.

Definition in file functional.